package com.huashe.park.core.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.huashe.park.core.mapper.ConsUnitHoleRelMapper;
import com.huashe.park.core.service.IConsUnitHoleRelService;
import com.huashe.park.domain.entity.ConsUnitHoleRel;

/**
 * 施工单元桩孔关系表Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-02-17
 */
@Service
public class ConsUnitHoleRelServiceImpl implements IConsUnitHoleRelService {
    @Autowired
    private ConsUnitHoleRelMapper consUnitHoleRelMapper;

    /**
     * 查询施工单元桩孔关系表
     * 
     * @param id 施工单元桩孔关系表主键
     * @return 施工单元桩孔关系表
     */
    @Override
    public ConsUnitHoleRel selectConsUnitHoleRelById(Long id) {
        return consUnitHoleRelMapper.selectConsUnitHoleRelById(id);
    }

    /**
     * 查询施工单元桩孔关系表列表
     * 
     * @param consUnitHoleRel 施工单元桩孔关系表
     * @return 施工单元桩孔关系表
     */
    @Override
    public List<ConsUnitHoleRel> selectConsUnitHoleRelList(ConsUnitHoleRel consUnitHoleRel) {
        return consUnitHoleRelMapper.selectConsUnitHoleRelList(consUnitHoleRel);
    }

    /**
     * 新增施工单元桩孔关系表
     * 
     * @param consUnitHoleRel 施工单元桩孔关系表
     * @return 结果
     */
    @Override
    public int insertConsUnitHoleRel(ConsUnitHoleRel consUnitHoleRel) {
        return consUnitHoleRelMapper.insertConsUnitHoleRel(consUnitHoleRel);
    }

    /**
     * 修改施工单元桩孔关系表
     * 
     * @param consUnitHoleRel 施工单元桩孔关系表
     * @return 结果
     */
    @Override
    public int updateConsUnitHoleRel(ConsUnitHoleRel consUnitHoleRel) {
        return consUnitHoleRelMapper.updateConsUnitHoleRel(consUnitHoleRel);
    }

    /**
     * 批量删除施工单元桩孔关系表
     * 
     * @param ids 需要删除的施工单元桩孔关系表主键
     * @return 结果
     */
    @Override
    public int deleteConsUnitHoleRelByIds(Long[] ids) {
        return consUnitHoleRelMapper.deleteConsUnitHoleRelByIds(ids);
    }

    /**
     * 删除施工单元桩孔关系表信息
     * 
     * @param id 施工单元桩孔关系表主键
     * @return 结果
     */
    @Override
    public int deleteConsUnitHoleRelById(Long id) {
        return consUnitHoleRelMapper.deleteConsUnitHoleRelById(id);
    }
}
